#/bin/bash

cleanup(){
  rm exposedIndices.txt exposed.xyz nano.out stderror.txt
}

# Receptor ASC calculation
../build/aasc LARGER_STRUCTURES/6M0JA.pqr 80 1 --nanoshaper_config_file=LARGER_STRUCTURES/6M0JA.conf --projection_length=0.7 --residue_list=LARGER_STRUCTURES/6M0JA_contacts --write_asc

# Spike Protein ASC calculation
../build/aasc LARGER_STRUCTURES/6M0JE.pqr 80 1 --nanoshaper_config_file=LARGER_STRUCTURES/6M0JE.conf --projection_length=0.7 --residue_list=LARGER_STRUCTURES/6M0JE_contacts --write_asc

cleanup
