#!/bin/bash

NANOBINURL='https://gitlab.iit.it/SDecherchi/nanoshaper/-/raw/master/pkg_nanoshaper_0.7.8.tar.gz'

mkdir NS-0.7.8
cd NS-0.7.8
curl ${NANOBINURL} -o 'pkg_nanoshaper_0.7.8.tar.gz'
tar xvf pkg_nanoshaper_0.7.8.tar.gz
cd pkg_nanoshaper_0.7.8
export NANOSHAPER_EXECUTABLE_PATH=$(pwd)/NanoShaper

#NANOURL='https://electrostaticszone.eu/index.php/downloads/nanoshaper/21-nanoshaper-version-0-7/file'
#BUGFIXURL='https://electrostaticszone.eu/index.php/downloads/nanoshaper/24-nanoshaper-0-7-cumulative-bugfix/file'
#CMAKEURL='https://cmake.org/files/v2.8/cmake-2.8.4.tar.gz'
#CGALURL='https://gforge.inria.fr/frs/download.php/32183/CGAL-4.2-beta1.tar.gz'
#CGALDIR='CGAL-4.2-beta1'
#NUMCORE=8
#
#mkdir NS-0.7.5
#cd NS-0.7.5
#
#curl ${NANOURL} -o 'NanoShaper.zip'
#unzip NanoShaper.zip
#
##Bugfix for NanoShaper version 0.7 -> 0.75
#curl ${BUGFIXURL} -o 'Bugfix2.zip' 
#unzip Bugfix2.zip
#mv Bugfix/src_fix/* NanoShaper0.7/src/
#
##CMAKE 2.8.4
#curl ${CMAKEURL} -o cmake-2.8.4.tar.gz 
#tar xvf cmake-2.8.4.tar.gz
#cd cmake-2.8.4
#./bootstrap
#make -j$NUMCORE
#
#cd ../NanoShaper0.7/
#curl ${CGALURL} -o CGAL.tar.gz 
#tar xvf CGAL.tar.gz
#cp ./CGALPatch/Weighted_point.h ./$CGALDIR/include/CGAL/
#cd $CGALDIR; rm -f CMakeCache.txt; ../../cmake-2.8.4/bin/cmake . -DWITH_examples=false -DWITH_CGAL_Qt4=false -DWITH_CGAL_Qt3=false -DWITH_CGAL_ImageIO=false > cmake_cgal.txt; make clean; make -j$NUMCORE >> make_cgal.txt
#pwd
#cd ..; cp ./../../CMakeLists_NS_standalone.txt ./CMakeLists.txt; rm -rf build; mkdir build; cd build; ../../cmake-2.8.4/bin/cmake .. -DCGAL_DIR=$CGALDIR > cmake_mssg.txt; make clean; make -j$NUMCORE >> cmake_mssg.txt && export NANOSHAPER_EXECUTABLE_PATH=$(pwd)/NanoShaper

echo "The NanoShaper path is: $NANOSHAPER_EXECUTABLE_PATH. If blank an error has occured"

#echo 'If an error is encountered with an undefined reference to pthread*, "-pthread" must be added to the "CMakeLists.txt" in the root "NanoShaper0.7" directory. Once added, run "../../cmake-2.8.4/bin/cmake .. -DCGAL_DIR=$CGALDIR > cmake_mssg.txt; make clean; make -j$NUMCORE >> cmake_mssg.txt" from within the build directory'

echo 'Add the environment variable "NANOSHAPER_EXECUTABLE_PATH" to your ~/.bashrc to set this variable for every new terminal prompt'
